body{
    margin: 0;
}
header{
    display: flex;
    height: 40px;
    justify-content: space-around;
    align-items: center;
    padding: 0 50px;
    box-sizing: border-box;
    font-family: monospace;
    font-weight: bold;
    font-size: large;
    position: relative;
    z-index: 1;
}
header ul{
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    gap: 20px;
}

/* carousel */
.carousel{
    width: 100vw;
    height: 100vh;
    position: relative;
    overflow: hidden;
    margin-top: -40px;
}
.list{
    width: 100%;
    height: 100%;
}
.item{
    width: 100%;
    height: 100%;
    background-color: var(--bg);
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
}
.item img.fruit{
    width: 90%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 15;
    pointer-events: none;
}
.item .content{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 12rem;
    color: #eee;
    font-weight: bold;
    font-family: system-ui;
    text-transform: uppercase;
    white-space: nowrap;
}
.item{
    display: none;
}
.item.active{
    display: block;
}
.item.hidden{
    display: block;
    pointer-events: none;
    background-color: transparent;
    z-index: 1;
}
@keyframes toActive{
    from{
        top:100%;
        opacity: 0;
    }
}
@keyframes toOut{
    from{
        top: 50%;
        opacity: 1;
    }
}
.item .active img.fruit{
    animation: toActive .5s ease-in-out 1;
}
.item.hidden img.fruit{
    animation: toOut .8s ease-in-out 1;   
    top: -100%;
    opacity: 0;
}
.item.active .content{
    animation: toActive .8s ease-in-out 1;
}
.item.hidden .content{
    opacity: 0;
}
:root{
    --whidth-mockup: calc(371px / 1.5);
    --height-mockup: calc(673px / 1.5);
}
.mockup{
    position: absolute;
    top: 50%;
    left: 50%;
    --left: 0%;
    transform: translate(-50%, -50%);
    width: var(--whidth-mockup);
    height: var(--height-mockup);
    background: 
    url(img/mockup.png) 0 0 no-repeat,
    url(img/listSoda.jpg) var(--left) 0;
    background-size: auto 100%;
    background-blend-mode: multiply;
    mask-image: url(img/mockup.png);
    -webkit-mask-image: url(img/mockup.png);
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    mask-size: auto 100%;
    -webkit-mask-size: auto 100%;
    transition: background .5s;
}
.leaves{
    position: absolute;
    width: 170px;
    height: 170px;
    background-image: url(img/leaves.png);
    background-size: 100%;
    top: calc(50% - (var(--height-mockup) / 1.7));
    left: calc(50% + (var(--whidth-mockup) / 5));
}
.shadow{
    width: var(--whidth-mockup);
    height: 100px;
    background-color: #0008;
    border-radius: 50%;
    position: absolute;
    top: calc(50% + var(--height-mockup) / 2);
    left: 50%;
    transform: translateX(-50%);
    filter: blur(20px);
}
#prev,
#next{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #eee5;
    border: 1px solid #eee9;
    font-size: x-large;
    font-weight: bold;
    font-family: monospace;
    cursor: pointer;
    z-index: 15;
}
#prev{
    left: 20px;
}
#next{
    right: 20px;
}
.right .item.hidden img.fruit{
    animation: toOut .8s ease-in-out 1;
    top: 100%;
    opacity: 0;
}
@keyframes toActivePrev{
    from{
        top: 0;
        opacity: 0;
    }
}
.right .item.active img.fruit,
.right .item.active .content{
    animation: toActivePrev .8s ease-in-out 1;
}